Inventor 2013 - 3D Sketch Auto-Bend

by David Gate

When 3D Sketching in Inventor you have the ability to turn on Auto-Bend. This is available through the application options but you can get access to this if you right click while creating a line in a 3D Sketch.

This tool means any lines you create automatically have a standard bend between at each corner, saving you having to add in each bend separately. The Auto-bend option is an on/off though, to set the default value you have to change the document settings.

Tools Tab > Options Panel > Document Settings > Sketch Tab.

If you set this in your part template then every auto-bend command you do will use this value. You can keep going back to these options to change the default value.

But accessing the menu options everytime is abit painful. So  with alittle simple ilogic code we can change the Auto-bend radius on the fly without half as many clicks.

Firstly for this rule we will need to create a user parameter. This will allow us to input a value for the radius.

 

I called mine AutoBendRad, then make it equal to your chosen default. If you chose a different name just make sure you update the code below. Copy the below text into a new ilogic rule.

ThisDoc.Document.Sketch3DSettings.AutoBendRadius=AutoBendRad

This rule makes the Auto-bend radius equal to our user parameter.

You can then create a form which gets you to input the dim value, saving you having to keep accessing the parameters editor or the document settings. Simply create a form and drag over the user parameter. You can change how the form and dimension inputs are labelled to make it look nicer.

Now every time we click the form we can input our new auto-bend radius. If you do all this in on your part template then again you will have this available to use on all new parts.

Note you cannot change the default auto-bend radius during line creation but you can change it between the creation of each line. If you want your line to have different bend rads then simply exit line creation, change the auto-bend rad and then start creating a new line where you left off, it will auto-bend between your first and second lines. It won’t change the previously used Auto-bend radius on any lines that already exist.

 

Comments

Powered by Zendesk